import request from '@/utils/request'

// 查询案例列表
export function listCase(query) {
  return request({
    url: '/hezhi/case/list',
    method: 'get',
    params: query
  })
}

// 查询案例详细
export function getCase(caseId) {
  return request({
    url: '/hezhi/case/' + caseId,
    method: 'get'
  })
}

// 新增案例
export function addCase(data) {
  return request({
    url: '/hezhi/case',
    method: 'post',
    data: data
  })
}

// 修改案例
export function updateCase(data) {
  return request({
    url: '/hezhi/case',
    method: 'put',
    data: data
  })
}

// 删除案例
export function delCase(caseId) {
  return request({
    url: '/hezhi/case/' + caseId,
    method: 'delete'
  })
}
